Bug 201719 - spec file cleanups
spec file cleanups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 10:51 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-08 11:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-08-08 10:51:47 EDT
Some minor spec file fixes to
* make the restart on update quiet
* properly require things needed by scriptlets

--- setroubleshoot.spec 7 Aug 2006 22:09:36 -0000       1.18
+++ setroubleshoot.spec 8 Aug 2006 14:59:31 -0000
@@ -32,8 +32,11 @@
 BuildRequires: intltool gettext python
 
 Requires(post):  /sbin/chkconfig
+Requires(post):  /sbin/service
+Requires(post):  /usr/bin/update-desktop-database
 Requires(preun): /sbin/chkconfig
 Requires(preun): /sbin/service
+Requires(postun):  /usr/bin/update-desktop-database
 
 %description
 Provides tools to help diagnose SELinux problems. When AVC messages
@@ -57,7 +60,7 @@
 %post
 /usr/bin/update-desktop-database %{_datadir}/applications
 /sbin/chkconfig --add %{name}
-[ -x /sbin/service ] && /sbin/service %{name} condrestart
+/sbin/service %{name} condrestart >/dev/null 2>&1
 
 %preun
 if [ $1 = 0 ]; then
Comment 1 John Dennis 2006-08-08 11:38:11 EDT
Thanks Jeremy! Changes are applied.

Note You need to log in before you can comment on or make changes to this bug.